/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  smrtcook.h  *********************************

    Purpose: Provides the interface to the SmartCookie module.

    Notes:   none.
**/

#ifndef SMRTCOOK_H
#define SMRTCOOK_H


extern void  SmartCookieInit( void );
extern void  SmartCookieInsertReplace( char *def_dom, char *def_path, char *s );
extern char *SmartCookieRetrieve( char *cookiestr, char *dom, char *path );


#endif /* SMRTCOOK_H */
