/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*******************************   blckstat.h   ********************************

    Purpose: A fixed version of Andrew's <anw@tirana.freewire.co.uk> block stat
             modification to JunkBuster

    Notes: None

**/

#ifndef BLCKSTAT_H
#define BLCKSTAT_H


extern void init_stats( int include_stats );
extern void inc_urls_passed( void );
extern void inc_urls_rejected( void );
extern char *get_url_stats( void );


#endif /* BLCKSTAT_H */
