/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  sed.h  **********************************

    Purpose: Interface to header filtering module sed().

    Notes:   None.
**/

#ifndef SED_H
#define SED_H


#include <stdio.h>	/* for FILE */
#include "csp.h"	/* for client_state */


#define SED_CLI 0	/* sed() is parsing client headers */
#define SED_SRV 1	/* sed() is parsing server headers */


extern char *referrer;
extern char *uagent;
extern char *from;
extern FILE *jar;
extern int add_forwarded;
extern struct list wafer_list[];
extern struct list xtra_list[];


extern char *sed( int sc, struct client_state *csp );


#endif /* SED_H */
