/* This file is a component of the JunkBusterMT Proxy, based on original code from
 * the Internet Junkbuster Proxy.
 *
 * Copyright (C) 2000 Gabriel L. Somlo
 * Copyright (C) 1997 Anonymous Coders and Junkbusters Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see ../GPL.txt); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/********************************  urlcodec.h  *********************************

    Purpose: URL, cookie and html string coding header

    Notes:   This module implements the operations required to safely transmit
             strings of characters via URL's, cookies and as html.
**/


#ifndef URLCODEC_H
#define URLCODEC_H


extern void init_code_maps( void );
extern char *url_encode( char *s );
extern char *cookie_encode( char *s );
extern char *html_encode( char *s );
extern char *url_decode( char *s );


#endif /* URLCODEC_H */
